PMDALMSENSORS(1)

NAME
pmdalmsensors - Linux hardware monitoring performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/lmsensors/pmdalmsensors [debug]

DESCRIPTION
pmdalmsensors is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics describing the state of hardware using the lm-sensors software on compatible motherboards.

The lmsensors PMDA exports metrics that measure fan speeds and core temperatures.

INSTALLATION
If you want access to the names, help text and values for the lmsensors performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/lmsensors
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/lmsensors
# ./Remove

pmdalmsensors.python is usually launched by pmcd (1), and not executed directly. Direct execution is mostly used for debugging purposes. The Install and Remove scripts notify pmcd (1) when the agent is installed or removed.

OPTIONS
pmdalmsensors.python supports the following options.

-i, --inject
    inject data from file instead of using sensors

-d, --debug
    debug level: 0 (default), 1 or 2

-h, --help
    show a help message To use options while pmdalmsensors.python is run from PMCD, you might want to use 'args' in the 'Install' stript, for example args="-i /path/static_sensors_output.txt"

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdalmsensors
$PCP_PMDAS_DIR/lmsensors/help
    default help text file for the lmsensors metrics
$PCP_PMDAS_DIR/lmsensors/Install
    installation script for the pmdalmsensors agent
$PCP_PMDAS_DIR/lmsensors/Remove
    undo installation script for the pmdalmsensors agent

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5), pcp.env(5) and sensors(1).